/* font */
@font-face {
    font-family: Handletter;
    src: url(../font/Handletter.otf);
}

@font-face {
	font-family: DidactGothic;
    src: url(../font/DidactGothic.ttf);
}

@font-face {
	font-family: OpenSansRegular;
    src: url(../font/OpenSansRegular.ttf);
}

@font-face {
	font-family: OpenSansItalic;
    src: url(../font/OpenSansItalic.ttf);
}

@font-face {
	font-family: OpenSansLight;
    src: url(../font/OpenSansLight.ttf);
}

@font-face {
	font-family: OpenSansBold;
    src: url(../font/OpenSansBold.ttf);
}

@font-face {
	font-family: OpenSansSemiBold;
    src: url(../font/OpenSansSemiBold.ttf);
}

/* main */
::selection { 
	background: #373c3e;
	color: #fefefe;
}

::-moz-selection {
	background: #373c3e;
	color: #fefefe;
}

*,
*::after,
*::before {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

body, html {
    overflow-x: hidden;
}

body {
    font-family: 'OpenSansRegular';
	color: #373c3e;
	background: #fefefe;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

main {
    position: relative;
    z-index: 2;
    /* fix bug on iOS */
    height: 100vh;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    /* Force Hardware Acceleration in WebKit */
    -webkit-transform: translateZ(0);
    -moz-transform: translateZ(0);
    -ms-transform: translateZ(0);
    -o-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transition: -webkit-transform 0.7s;
    -moz-transition: -moz-transform 0.7s;
    transition: transform 0.7s;
    -webkit-transition-timing-function: cubic-bezier(0.91, 0.01, 0.6, 0.99);
    -moz-transition-timing-function: cubic-bezier(0.91, 0.01, 0.6, 0.99);
    transition-timing-function: cubic-bezier(0.91, 0.01, 0.6, 0.99);
}

h1 {
    font-family: 'DidactGothic';
    font-size: 4em;    
}

h2 {
    font-family: 'DidactGothic';
    font-size: 2em;
    font-weight: 400;
    line-height: 1.2;
}

p {
    font-family: 'OpenSansRegular';
    font-size: 1.2em;
    font-weight: 400;
    line-height: 1.5;
    letter-spacing: 0.015em;
    color: #373c3e;
    color: rgba(55, 60, 62, 0.7);
}

@media (max-width: 768px) {
    h1 {
        font-size: 3em;
    }
    
    h2 {
        font-size: 1.5em;
    }
    
    p {
        font-size: 1em;
    }
}

a {
    cursor: pointer;
	outline: none;
	text-decoration: none;
    -webkit-transition: all linear 0.3s;
    -moz-transition: all linear 0.3s;
    -ms-transition: all linear 0.3s;
    -o-transition: all linear 0.3s;
    transition: all linear 0.3s;    
}

a:hover,
a:focus {
	outline: none;    
}

img {
	max-width: 100%;
	height: auto;
	border: 0;
}

.center {
	text-align: center;
}

.left {
	text-align: left;
}

.right {
	text-align: right;
}

/* container */
.container-800 { 
	max-width: 800px;
	margin: 0 auto; 
}

.container-1100 { 
	max-width: 1100px;
	margin: 0 auto; 
}

.container-1500 { 
	max-width: 1500px;
	margin: 0 auto; 
}

.container-full { 
	max-width: 100%;
	margin: 0 auto; 
}

.container-full:after,
.container-1500:after,
.container-1100:after, 
.container-800:after,
.col:after { 
	content: ""; 
	display: table; 
	clear: both; 
}
		
.col { 
	display: block;
	float: left;
	width: 100%;
}

@media (min-width: 768px) {
    .span_1 {
        width: 8.33333333333%;
    }
    
    .span_2 {
        width: 16.6666666667%;
    }
    
    .span_3 {
      width: 25%;
    }
    
    .span_4 {
        width: 33.3333333333%;
    }
    
    .span_5 {
        width: 41.6666666667%;
    }
    
    .span_6 {
        width: 50%;
    }
    
    .span_7 {
        width: 58.3333333333%;
    }
    
    .span_8 {
        width: 66.6666666667%;
    }
    
    .span_9 {
        width: 75%;
    }
    
    .span_10 {
        width: 83.3333333333%;
    }
    
    .span_11 {
        width: 91.6666666667%;
    }
    
    .span_12 {
        width: 100%;
    }
}

/* content */
.content {
    padding: 0 5%;
}

svg.pol {
    position: absolute;
    top: -50px;
    left: 0;
    right: 0;
    width: 100%;
    height: 51px;
}

/* intro */
.intro {
    position: relative;
    padding: 7em 0; 
    background: #fefefe;
}

.intro p {
    text-align: left;
}

#intro-label {
    position: relative;
    font-family: 'Handletter';
    font-size: 6em;
    font-weight: normal;
    text-align: center;
    color: #5c5f68;
    margin: 1em 0 1em 0;
    z-index: 0;
}

.intro-label {
    background-color: #5fbcde;
    border-radius: 100%;
    height: 1rem;
    left: 50%;
    position: absolute;
    top: 50%;
    width: 1rem;
}

.anim--a {
    animation: 1.4s linear 0s normal none infinite anim-a;
}

.anim--b {
    animation: 1.7s linear 0s normal none infinite anim-b;
    background-color: #de5fb3;
}

@keyframes anim-a {
    0% {
        animation-timing-function: ease-in-out;
        transform: translate3d(-3rem, -3rem, 0px);
        z-index: 1;
    }
    
    25% {
        height: 1.5rem;
        width: 1.5rem;
    }
    
    50% {
        animation-timing-function: ease-in-out;
        opacity: 1;
        transform: translate3d(3rem, 3rem, 0px);
        z-index: 1;
    }
    
    55% {
        z-index: -1;
    }
    
    75% {
        height: 0.75rem;
        opacity: 0.5;
        width: 0.75rem;
    }
    
    100% {
        transform: translate3d(-3rem, -3rem, 0px);
        z-index: -1;
    }
}

@keyframes anim-b {
    0% {
        animation-timing-function: ease-in-out;
        transform: translate3d(-5rem, -3rem, 0px);
        z-index: 1;
    }
    
    25% {
        height: 2rem;
        width: 2rem;
    }
    
    50% {
        animation-timing-function: ease-in-out;
        opacity: 1;
        transform: translate3d(5rem, 3rem, 0px);
        z-index: 1;
    }
    
    55% {
        z-index: -1;
    }
    
    75% {
        height: 0.5rem;
        opacity: 0.25;
        width: 0.5rem;
    }
    
    100% {
        transform: translate3d(-5rem, -3rem, 0px);
        z-index: -1;
    }
}

@media (max-width: 768px) {
    .intro {
        padding: 5em 0 3em 0;
    }
    
    #intro-label {
        display: none;
        font-size: 5em;
        margin-top: 0.5em;
    }
}

/* service */
.service {
    position: relative;
    padding: 7em 0; 
    background: #de5f5f; 
}

@media (max-width: 768px) {
    .service {
        padding: 3em 0;
    }
}

.item-service {
    text-align: center;
    padding: 2em;
}

.item-service h2 {
    color: #fefefe;
    margin-bottom: -15px;
}

.item-service p {
    color: #fefefe;
    color: rgba(254, 254, 254, 0.7);    
}

.item-service svg {
    width: 80px;
    height: 80px;
    margin-bottom: -15px;
    fill: #fefefe;
    fill: rgba(254, 254, 254, 0.7);
}

/* project */
.project {
    position: relative;
    padding: 7em 0; 
    background: #fefefe;
}

@media (max-width: 768px) {
    .project {
        padding: 3em 0;
    }    
}

.grid {
	position: relative;
	clear: both;
	list-style: none;
	text-align: center;
}

.grid figure {
	position: relative;
	display: inline-block;
	float: none;
	margin: 3px;
	overflow: hidden;
	min-width: 230px;
	max-width: 700px;
	width: 100%;
	height: auto;
	text-align: center;
	cursor: pointer;
	-webkit-border-radius: 2px;
  	-moz-border-radius: 2px;
  	border-radius: 2px;
}

.grid figure img {
	position: relative;
	display: block;
	min-height: 100%;
	max-width: 100%;
}

.grid figure figcaption {
	padding: 2em;
	color: #373c3e;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
}

.grid figure figcaption,
.grid figure figcaption > a {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

figure.effect-jazz {
	background: #fefefe;
}

figure.effect-jazz img {
	opacity: 0.7;
	-webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
	transition: opacity 0.35s, transform 0.35s;
}

figure.effect-jazz h2 {
	opacity: 0;
	padding-top: 25%;
	-webkit-transition: -webkit-transform 0.35s;
	transition: transform 0.35s;
	-webkit-transform: scale3d(0.8, 0.8, 1);
	transform: scale3d(0.8, 0.8, 1);    
}

figure.effect-jazz p {
    font-family: 'OpenSansItalic';
	opacity: 0;
	color: #373c3e;
    color: rgba(55, 60, 62, 0.5);
	-webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
	transition: opacity 0.35s, transform 0.35s;
	-webkit-transform: scale3d(0.8, 0.8, 1);
	transform: scale3d(0.8, 0.8, 1);
}

@media (max-width: 768px) {
    figure.effect-jazz h2 {
        padding-top: 15%;
    }
}

figure.effect-jazz:hover img {
	opacity: 0.1;
	-webkit-transform: scale3d(1.05, 1.05, 1);
	transform: scale3d(1.05, 1.05, 1);
}

figure.effect-jazz:hover h2,
figure.effect-jazz:hover p {
	opacity: 1;
	-webkit-transform: scale3d(1, 1, 1);
	transform: scale3d(1, 1, 1);
}

/* project page */
.project-page {
    text-align: center;
    height: auto;
    transform: none;
    background: #fefefe;
}

.project-all {
    text-align: left;
    padding: 3em 10%;
}

@media (max-width: 768px) {
    .project-all {
        padding: 1em 5%;
    }
}

.project-all a {
    position: relative;
    display: inline;
    font-size: 1.2em;
    font-weight: 400;
    text-decoration: none;
    color: #373c3e;
    color: rgba(55, 60, 62, 0.7);
}

.project-all a:hover,
.project-all a:focus,
.project-all a:active {
    opacity: 1;
}

.project-all a:hover:after,
.project-all a:focus:after,
.project-all a:active:after {
    width: 100%;
}

.project-all a:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 2px;
    background: #ddd;
    -webkit-transform: translateX(0%);
    transform: translateX(0%);
    -webkit-transition: 0.35s;
    transition: 0.35s;
}

.project-header {
	position: relative;
  	height: 300px;
	background: #373c3e;	
}

@media only screen and (min-width: 768px) {
    .project-header {
        height: 350px;
    }
}

@media only screen and (min-width: 1170px) {
    .project-header {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 500px;
        z-index: -1;
    }
}

.project-header .project-header-background {
  	height: 100%;
  	width: 100%;
	opacity: 0.5;
}
	
.project-header .project-header-name {
  	position: absolute;
  	width: 90%;
  	max-width: 1170px;
  	left: 50%;
  	top: 50%;
  	bottom: auto;
  	right: auto;
  	-webkit-transform: translateX(-50%) translateY(-50%);
  	-moz-transform: translateX(-50%) translateY(-50%);
  	-ms-transform: translateX(-50%) translateY(-50%);
  	-o-transform: translateX(-50%) translateY(-50%);
  	transform: translateX(-50%) translateY(-50%);
}

.project-header-name p {
	text-align: center;
	color: #fefefe; /* #cacaca */
    color: rgba(254, 254, 254, 0.5);
    font-weight: 400;
	font-style: italic;
}

.project-header h2 {
  	text-align: center;
  	color: #fefefe;
  	text-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
    margin-bottom: 0.5em;
}

.project-content {
  	position: relative;
  	background: #fefefe;
}

.project-content p {
    text-align: left;
  	margin: 1.5em 0;
}

.project-content img {
    border-radius: 2px;
    margin: 2em 0;
}

.project-content img.page-bottom {
    margin: 2em 0 7em 0;    
}

@media only screen and (min-width: 1170px) {
  .project-content {
      margin-top: 500px;
  }
}

@media (max-width: 768px) {
    .project-content img {
        margin: 1em 0;        
    }
    
    .project-content img.page-bottom {
        margin: 1em 0 5em 0;
    }
}

.page-locomotiv {
	background-size: cover;
	background: url(../img/project/web-locomotiv/bg-locomotiv.jpg) no-repeat center center;
}

.page-academyfootball {
	background-size: cover;
	background: url(../img/project/web-academyfootball/bg-academyfootball.jpg) no-repeat center center;
}

.page-style {
    background-size: cover;
	background: url(../img/project/design-style/bg-style.jpg) no-repeat center center;
}

.page-mk {
	background-size: cover;
	background: url(../img/project/web-mk/bg-mk.jpg) no-repeat center center;
}

.page-stubborness {
	background-size: cover;
	background: url(../img/project/web-stubborness/bg-stubborness.jpg) no-repeat center center;
}

.page-worldofmushrooms {
    background-size: cover;
	background: url(../img/project/mobile-worldofmushrooms/bg-worldofmushrooms.jpg) no-repeat center center;
}

.page-fctrud {
	background-size: cover;
	background: url(../img/project/web-fctrud/bg-fctrud.jpg) no-repeat center center;
}

.page-sushitime {
    background-size: cover;
    background: url(../img/project/web-sushitime/bg-sushitime.jpg) no-repeat center center;
}

/* footer */
.footer {
    position: relative;
    text-align: left;
    padding: 1em 0; 
    background: #373c3e; 
}

.footer h2 {
    color: #fefefe;
}

.footer .btn {
    margin: 0.5em 1em 0.5em 0;
}

address {
    font-style: normal;
}

.social {
    padding-top: 1.5em;
}

.social a {
    position: relative;
    display: inline;
    font-family: 'DidactGothic';
    font-size: 1.4em;
    font-weight: 400;
    letter-spacing: 0.03em;
    color: #fefefe;
    text-decoration: none; 
    margin-right: 1em;
    opacity: 0.7;
}

.social a:hover,
.social a:focus,
.social a:active {
    opacity: 1;
}

.social a:hover:after,
.social a:focus:after,
.social a:active:after {
    width: 100%;
}

.social a:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 2px;
    background: #ddd;
    -webkit-transform: translateX(0%);
    transform: translateX(0%);
    -webkit-transition: 0.35s;
    transition: 0.35s;
}

/* button */
.btn {
    position: relative;
    display: inline-block;
    padding: 1em 2em;
    margin: 0;
    font-family: 'OpenSansSemiBold';
    font-size: 1.1em;    
    letter-spacing: 0.05em;
    text-align: center;
    vertical-align: middle;
    white-space: nowrap;
    text-decoration: none;
	text-transform: uppercase;
    cursor: pointer;
    background: none;
    -webkit-border-radius: 2px;
  	-moz-border-radius: 2px;
  	border-radius: 2px;
    -webkit-transition: all linear 0.2s;
	-moz-transition: all linear 0.2s;
 	-ms-transition: all linear 0.2s;
 	-o-transition: all linear 0.2s;
 	transition: all linear 0.2s;
}

@media (max-width: 768px) {
    .btn {
        width: 100%;
        max-width: 260px;
        padding: 1em 0;
    }
}

.black {
    border: #5c5f68 2px solid;
    color: #5c5f68;
}

.black:hover,
.black:focus {
    background: #5c5f68;
    color: #fefefe;
}

.white {
    border: #fefefe 2px solid;
    color: #fefefe;    
}

.white:hover,
.white:focus {
    background: #fefefe;
    color: #5c5f68;
}

.btn-googleplay {
    display: inline-block;
    margin: 2em auto;
    opacity: 1; 
}

.btn-googleplay img {
    margin: 0;
}

.btn-googleplay:hover,
.btn-googleplay:focus {
    opacity: 0.7;
}

.bg-googleplay {
    margin: 2em 0;
    border-radius: 2px;
    background: radial-gradient(ellipse at center, #edeef2, #cfd0d5);
}

@media (max-width: 768px) {
    .bg-googleplay {
        margin: 1em 0;
    }
}

.error {
    padding-top: 3em;    
}

.error h1,
.error h2 {
    margin: 0;
}

.error a {
    position: relative;
    display: inline;
    text-decoration: none;
    color: #de5f5f;
    opacity: 0.7;
}

.error a:hover,
.error a:focus,
.error a:active {
    opacity: 1;
}

.error a:hover:after,
.error a:focus:after,
.error a:active:after {
    width: 100%;
}

.error a:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 2px;
    background: #de5f5f;
    opacity: 0.7;
    -webkit-transform: translateX(0%);
    transform: translateX(0%);
    -webkit-transition: 0.35s;
    transition: 0.35s;
}